SDL Library Documentation
Prev |  | Next

# SDL_SetColorKey

## Name

SDL_SetColorKey -- Sets the color key (transparent pixel) in a blittable surface and RLE acceleration.

## Synopsis

    #include "SDL.h"

``int SDL_SetColorKey`(SDL_Surface *surface, Uint32 flag, Uint32 key);`

## Description

Sets the color key (transparent pixel) in a blittable surface and enables or disables RLE blit acceleration.

RLE acceleration can substantially speed up blitting of images with large horizontal runs of transparent pixels (i.e., pixels that match the `key` value). The `key` must be of the same pixel format as the `surface`, `SDL_MapRGB` is often useful for obtaining an acceptable value.

If `flag` is `SDL_SRCCOLORKEY` then `key` is the transparent pixel value in the source image of a blit.

If `flag` is OR'd with `SDL_RLEACCEL` then the surface will be draw using RLE acceleration when drawn with SDL_BlitSurface. The surface will actually be encoded for RLE acceleration the first time SDL_BlitSurface or SDL_DisplayFormat is called on the surface.

If `flag` is 0, this function clears any current color key.

## Return Value

This function returns 0, or -1 if there was an error.

## See Also

`SDL_BlitSurface`, `SDL_DisplayFormat`, `SDL_MapRGB`, `SDL_SetAlpha`

Prev | Home | Next
SDL_SaveBMP | Up | SDL_SetAlpha